Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding
Interface RowContext

All Known Subinterfaces:
  AttributeContext

public interface RowContext

A RowContext contains context that is passed into the TransactionalDataControl APIs when manipulating a row, such as when the row is being modified, created, or removed as a result of user interaction with the view layer.

Method Summary
`java.util.Map` | `getBindingContextMap()` Return the bindingContext for this Application instance.
`java.lang.Object` | `getMasterRowDataProvider()` Return the data object of the master row of the row that this RowContext represents.
`java.lang.Object` | `getRowDataProvider()` Return the data object that this row represents.
`java.lang.String` | `getRowDataProviderType()` Return the fully-qualified type name for the dataprovider that this row represents.
`boolean` | `isNullContainer()` Return true when the container object of this row is null.

Method Detail

### getRowDataProvider

    public java.lang.Object getRowDataProvider()

  Return the data object that this row represents.

### getMasterRowDataProvider

    public java.lang.Object getMasterRowDataProvider()

  Return the data object of the master row of the row that this RowContext represents.
  Returns:
    The data object of the master row

### isNullContainer

    public boolean isNullContainer()

  Return true when the container object of this row is null. In that case, the datacontrol may also have to create the container object.

### getRowDataProviderType

    public java.lang.String getRowDataProviderType()

  Return the fully-qualified type name for the dataprovider that this row represents.

### getBindingContextMap

    public java.util.Map getBindingContextMap()

  Return the bindingContext for this Application instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.